import{S as zs,i as Qs,s as Vs,e as t,k as p,w as Ss,t as f,M as Xs,c as n,d as e,m as c,a as r,x as xs,h as u,b as o,N as Ys,f as Zs,G as a,g as i,y as As,L as se,q as $s,o as qs,B as Cs,v as ee}from"../chunks/vendor-hf-doc-builder.js";import{I as Gs}from"../chunks/IconCopyLink-hf-doc-builder.js";import{C as ae}from"../chunks/CodeBlock-hf-doc-builder.js";function te(Ts){let m,B,h,es,as,P,g,Is,ts,ns,ls,rs,U,d,w,F,E,is,N,os,K,x,ps,L,j,A,$,cs,hs,fs,q,C,us,ms,D,y,gs,R,ds,_s,J,T,ws,W,I,js,G,_,b,M,k,ys,O,bs,z,S,Q,H,vs,V;return E=new Gs({}),k=new Gs({}),S=new ae({props:{code:`import { createRepo, commit } from "@huggingface/hub";
import { HfInference } from "@huggingface/inference";

const HF_ACCESS_TOKEN = "hf_...";

await createRepo({
  repo: {type: "model", name: "my-user/nlp-test"},
  credentials: {accessToken: HF_ACCESS_TOKEN}
});

await commit({
  repo: {type: "model", name: "my-user/nlp-test"},
  credentials: {accessToken: HF_ACCESS_TOKEN},
  title: "Add model file",
  operations: [{
    operation: "addOrUpdate",
    path: "pytorch_model.bin",
    content: new Blob(...) // Can work with native File in browsers
  }]
});

const inference = new HfInference(HF_ACCESS_TOKEN);

await hf.translation({
  model: 't5-base',
  inputs: 'My name is Wolfgang and I live in Berlin'
})

await hf.textToImage({
  inputs: 'award winning high resolution photo of a giant tortoise/((ladybird)) hybrid, [trending on artstation]',
  negative_prompt: 'blurry',
  model: 'stabilityai/stable-diffusion-2',
})`,highlighted:`<span class="hljs-keyword">import</span> { createRepo, commit } <span class="hljs-keyword">from</span> <span class="hljs-string">&quot;@huggingface/hub&quot;</span>;
<span class="hljs-keyword">import</span> { <span class="hljs-title class_">HfInference</span> } <span class="hljs-keyword">from</span> <span class="hljs-string">&quot;@huggingface/inference&quot;</span>;

<span class="hljs-keyword">const</span> <span class="hljs-variable constant_">HF_ACCESS_TOKEN</span> = <span class="hljs-string">&quot;hf_...&quot;</span>;

<span class="hljs-keyword">await</span> <span class="hljs-title function_">createRepo</span>({
  <span class="hljs-attr">repo</span>: {<span class="hljs-attr">type</span>: <span class="hljs-string">&quot;model&quot;</span>, <span class="hljs-attr">name</span>: <span class="hljs-string">&quot;my-user/nlp-test&quot;</span>},
  <span class="hljs-attr">credentials</span>: {<span class="hljs-attr">accessToken</span>: <span class="hljs-variable constant_">HF_ACCESS_TOKEN</span>}
});

<span class="hljs-keyword">await</span> <span class="hljs-title function_">commit</span>({
  <span class="hljs-attr">repo</span>: {<span class="hljs-attr">type</span>: <span class="hljs-string">&quot;model&quot;</span>, <span class="hljs-attr">name</span>: <span class="hljs-string">&quot;my-user/nlp-test&quot;</span>},
  <span class="hljs-attr">credentials</span>: {<span class="hljs-attr">accessToken</span>: <span class="hljs-variable constant_">HF_ACCESS_TOKEN</span>},
  <span class="hljs-attr">title</span>: <span class="hljs-string">&quot;Add model file&quot;</span>,
  <span class="hljs-attr">operations</span>: [{
    <span class="hljs-attr">operation</span>: <span class="hljs-string">&quot;addOrUpdate&quot;</span>,
    <span class="hljs-attr">path</span>: <span class="hljs-string">&quot;pytorch_model.bin&quot;</span>,
    <span class="hljs-attr">content</span>: <span class="hljs-keyword">new</span> <span class="hljs-title class_">Blob</span>(...) <span class="hljs-comment">// Can work with native File in browsers</span>
  }]
});

<span class="hljs-keyword">const</span> inference = <span class="hljs-keyword">new</span> <span class="hljs-title class_">HfInference</span>(<span class="hljs-variable constant_">HF_ACCESS_TOKEN</span>);

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">translation</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;t5-base&#x27;</span>,
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;My name is Wolfgang and I live in Berlin&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">textToImage</span>({
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;award winning high resolution photo of a giant tortoise/((ladybird)) hybrid, [trending on artstation]&#x27;</span>,
  <span class="hljs-attr">negative_prompt</span>: <span class="hljs-string">&#x27;blurry&#x27;</span>,
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;stabilityai/stable-diffusion-2&#x27;</span>,
})`}}),{c(){m=t("meta"),B=p(),h=t("p"),es=t("br"),as=p(),P=t("picture"),g=t("img"),ts=p(),ns=t("br"),ls=p(),rs=t("br"),U=p(),d=t("h1"),w=t("a"),F=t("span"),Ss(E.$$.fragment),is=p(),N=t("span"),os=f("Hugging Face JS libraries"),K=p(),x=t("p"),ps=f("This is a collection of JS libraries to interact with the Hugging Face API, with TS types included."),L=p(),j=t("ul"),A=t("li"),$=t("a"),cs=f("@huggingface/hub"),hs=f(": Interact with huggingface.co to create or delete repos and commit / download files"),fs=p(),q=t("li"),C=t("a"),us=f("@huggingface/inference"),ms=f(": Use the Inference API to make calls to Machine Learning models!"),D=p(),y=t("p"),gs=f("With more to come, like "),R=t("code"),ds=f("@huggingface/endpoints"),_s=f(" to manage your HF Endpoints!"),J=p(),T=t("p"),ws=f("We use modern features to avoid polyfills and dependencies, so the libraries will only work on modern browsers / Node.js >= 18 / Bun / Deno."),W=p(),I=t("p"),js=f("The libraries is still very young, please help us by opening issues!"),G=p(),_=t("h2"),b=t("a"),M=t("span"),Ss(k.$$.fragment),ys=p(),O=t("span"),bs=f("Usage example"),z=p(),Ss(S.$$.fragment),Q=p(),H=t("p"),vs=f("There are more features of course, check each library\u2019s README!"),this.h()},l(s){const l=Xs('[data-svelte="svelte-1phssyn"]',document.head);m=n(l,"META",{name:!0,content:!0}),l.forEach(e),B=c(s),h=n(s,"P",{align:!0});var v=r(h);es=n(v,"BR",{}),as=c(v),P=n(v,"PICTURE",{});var Hs=r(P);g=n(Hs,"IMG",{alt:!0,src:!0,width:!0,height:!0,style:!0}),Hs.forEach(e),ts=c(v),ns=n(v,"BR",{}),ls=c(v),rs=n(v,"BR",{}),v.forEach(e),U=c(s),d=n(s,"H1",{class:!0});var X=r(d);w=n(X,"A",{id:!0,class:!0,href:!0});var Ps=r(w);F=n(Ps,"SPAN",{});var Fs=r(F);xs(E.$$.fragment,Fs),Fs.forEach(e),Ps.forEach(e),is=c(X),N=n(X,"SPAN",{});var Ns=r(N);os=u(Ns,"Hugging Face JS libraries"),Ns.forEach(e),X.forEach(e),K=c(s),x=n(s,"P",{});var Rs=r(x);ps=u(Rs,"This is a collection of JS libraries to interact with the Hugging Face API, with TS types included."),Rs.forEach(e),L=c(s),j=n(s,"UL",{});var Y=r(j);A=n(Y,"LI",{});var Es=r(A);$=n(Es,"A",{href:!0});var Ms=r($);cs=u(Ms,"@huggingface/hub"),Ms.forEach(e),hs=u(Es,": Interact with huggingface.co to create or delete repos and commit / download files"),Es.forEach(e),fs=c(Y),q=n(Y,"LI",{});var ks=r(q);C=n(ks,"A",{href:!0});var Os=r(C);us=u(Os,"@huggingface/inference"),Os.forEach(e),ms=u(ks,": Use the Inference API to make calls to Machine Learning models!"),ks.forEach(e),Y.forEach(e),D=c(s),y=n(s,"P",{});var Z=r(y);gs=u(Z,"With more to come, like "),R=n(Z,"CODE",{});var Bs=r(R);ds=u(Bs,"@huggingface/endpoints"),Bs.forEach(e),_s=u(Z," to manage your HF Endpoints!"),Z.forEach(e),J=c(s),T=n(s,"P",{});var Us=r(T);ws=u(Us,"We use modern features to avoid polyfills and dependencies, so the libraries will only work on modern browsers / Node.js >= 18 / Bun / Deno."),Us.forEach(e),W=c(s),I=n(s,"P",{});var Ks=r(I);js=u(Ks,"The libraries is still very young, please help us by opening issues!"),Ks.forEach(e),G=c(s),_=n(s,"H2",{class:!0});var ss=r(_);b=n(ss,"A",{id:!0,class:!0,href:!0});var Ls=r(b);M=n(Ls,"SPAN",{});var Ds=r(M);xs(k.$$.fragment,Ds),Ds.forEach(e),Ls.forEach(e),ys=c(ss),O=n(ss,"SPAN",{});var Js=r(O);bs=u(Js,"Usage example"),Js.forEach(e),ss.forEach(e),z=c(s),xs(S.$$.fragment,s),Q=c(s),H=n(s,"P",{});var Ws=r(H);vs=u(Ws,"There are more features of course, check each library\u2019s README!"),Ws.forEach(e),this.h()},h(){o(m,"name","hf:doc:metadata"),o(m,"content",JSON.stringify(ne)),o(g,"alt","huggingface javascript library logo"),Ys(g.src,Is="https://huggingface.co/datasets/huggingface/documentation-images/raw/main/huggingfacejs-light.svg")||o(g,"src",Is),o(g,"width","376"),o(g,"height","59"),Zs(g,"max-width","100%"),o(h,"align","center"),o(w,"id","hugging-face-js-libraries"),o(w,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(w,"href","#hugging-face-js-libraries"),o(d,"class","relative group"),o($,"href","hub/README"),o(C,"href","inference/README"),o(b,"id","usage-example"),o(b,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),o(b,"href","#usage-example"),o(_,"class","relative group")},m(s,l){a(document.head,m),i(s,B,l),i(s,h,l),a(h,es),a(h,as),a(h,P),a(P,g),a(h,ts),a(h,ns),a(h,ls),a(h,rs),i(s,U,l),i(s,d,l),a(d,w),a(w,F),As(E,F,null),a(d,is),a(d,N),a(N,os),i(s,K,l),i(s,x,l),a(x,ps),i(s,L,l),i(s,j,l),a(j,A),a(A,$),a($,cs),a(A,hs),a(j,fs),a(j,q),a(q,C),a(C,us),a(q,ms),i(s,D,l),i(s,y,l),a(y,gs),a(y,R),a(R,ds),a(y,_s),i(s,J,l),i(s,T,l),a(T,ws),i(s,W,l),i(s,I,l),a(I,js),i(s,G,l),i(s,_,l),a(_,b),a(b,M),As(k,M,null),a(_,ys),a(_,O),a(O,bs),i(s,z,l),As(S,s,l),i(s,Q,l),i(s,H,l),a(H,vs),V=!0},p:se,i(s){V||($s(E.$$.fragment,s),$s(k.$$.fragment,s),$s(S.$$.fragment,s),V=!0)},o(s){qs(E.$$.fragment,s),qs(k.$$.fragment,s),qs(S.$$.fragment,s),V=!1},d(s){e(m),s&&e(B),s&&e(h),s&&e(U),s&&e(d),Cs(E),s&&e(K),s&&e(x),s&&e(L),s&&e(j),s&&e(D),s&&e(y),s&&e(J),s&&e(T),s&&e(W),s&&e(I),s&&e(G),s&&e(_),Cs(k),s&&e(z),Cs(S,s),s&&e(Q),s&&e(H)}}}const ne={local:"hugging-face-js-libraries",sections:[{local:"usage-example",title:"Usage example"}],title:"Hugging Face JS libraries"};function le(Ts){return ee(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class pe extends zs{constructor(m){super();Qs(this,m,le,te,Vs,{})}}export{pe as default,ne as metadata};
